// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * Dot punctuation fragment
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class DotFragment extends PunctuationFragment {
    public DotFragment() { 
	super("."); 
	token = makeToken(JavaTokenTypes.DOT, ".");
	templateGeneratorName = "substituteDot"; 
	matcherName = "matchDot"; 
    }
    public DotFragment(Token t) { 
	super(t); templateGeneratorName = "substituteDot"; 
	matcherName = "matchDot"; 
    }
    public Fragment compileTemplate(int depth) { 
	return compileSpecialTemplate(depth); 
    }
}

