// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * A constraint that matches any sequence of fragments from length zero
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class wildcardSConstraint extends BaseSyntaxConstraint 
      implements SyntaxConstraint {
    public String  getName() { return "*"; }
    public boolean isWildcardConstraint () { return true; }
    public boolean isAdmissable (FragmentList fragments) { return true; }
}
