// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;
import antlr.*;

/**
 * Constraint for sequence of caseGroups
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class switchBodySConstraint extends GrammarSyntaxConstraint 
      implements SyntaxConstraint {
    public String  getName() { return "switchBody"; }

    public void parse
	    (JavaTokenLexer lexer, JavaRecognizer parser) throws Exception {
	while (!lexer.isEmpty())
	    parser.casesGroup();
    }
}
